Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> MODx < 0.9.1a Multiple Vulnerabilities


Vulnerability Assessment Details

MODx < 0.9.1a Multiple Vulnerabilities

Vulnerability Assessment Summary
Tries to exploit a XSS flaw in MODx

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP script that is susceptible to
multiple issues.

Description :

The remote host is running MODx, a content management system written
in PHP.

The version of MODx installed on the remote host fails to sanitize
input to the 'id' parameter of the 'index.php' script before using it
to generate dynamic HTML output. An unauthenticated attacker can
exploit this to inject arbitrary script and HTML into a user's
browser.

Also, the same lack of input sanitation reportedly can be leveraged to
launch directory traversal attacks against the affected application,
although exploitation may only be successful if the affected host is
running Windows and if PHP's 'magic_quotes_gpc' setting is disabled.

See also :

http://www.securityfocus.com/archive/1/431010/30/0/threaded
http://modxcms.com/forums/index.php/topic,3982.0.html

Solution :

Upgrade to MODx version 0.9.1a or later.

Network Security Threat Level:

Medium / CVSS Base Score : 4.7
(AV:R/AC:L/Au:NR/C:P/I:P/A:N/B:N)

Networks Security ID: 17532, 17533

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Lot of 10 Intel CPU's SL89U SL7EG SLA44 SH95H SL8ML SL6J5 SL6F8 SL9DM
$32.95
Lot of 10 Intel CPU's SL89U SL7EG SLA44 SH95H SL8ML SL6J5 SL6F8 SL9DM pictureIntel Core i5-4460 Quad-Core Socket 1150 (LGA1150) CPU Processor SR1QK 3.20GHz
$72.0
Intel Core i5-4460 Quad-Core Socket 1150 (LGA1150) CPU Processor SR1QK 3.20GHz pictureMatched Pair Intel SLBVC Xeon E5640 2.66GHz Quad-Core LGA1366 Processors CPUs
$13.95
Matched Pair Intel SLBVC Xeon E5640 2.66GHz Quad-Core LGA1366 Processors CPUs pictureCHUWI HI9 PLUS CWI550 / CWI515 4G Phablet MT6797 (X27) CPU 10.8 inch Android
$308.37
CHUWI HI9 PLUS CWI550 / CWI515 4G Phablet MT6797 (X27) CPU 10.8 inch Android picture


Discussions

No Discussions have been posted on this vulnerability.